Bug 1739712 - Multiple NIC orchestrations are not orchestrated
Summary: Multiple NIC orchestrations are not orchestrated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Lukas Zapletal
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-09 20:03 UTC by sthirugn@redhat.com
Modified: 2019-10-22 12:48 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26104 'Normal' 'Closed' 'Multiple NIC orchestrations are not orchestrated' 2019-11-18 18:29:44 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:10 UTC

Description sthirugn@redhat.com 2019-08-09 20:03:34 UTC
Description of problem:
Multiple NIC orchestrations are not orchestrated

Version-Release number of selected component (if applicable):
Satellite 6.5.2

How reproducible:
Always

Steps to Reproduce:
Due to https://projects.theforeman.org/issues/21120 (orchestration tasks are added only once) orchestration stack now removes steps which are the same, this does work for same NIC card with same MAC address but in case MAC is not entered (is blank/nil) for multiple NICs, orchestration framework not allows to schedule DHCP creation on multiple NICs and only the first one is processed.

Actual results:
Unable to schedule DHCP on multiple NICs and only the first one is processed.

Expected results:
All NICs should be processed

Additional info:

Comment 5 Bryan Kearney 2019-08-09 22:07:04 UTC
Upstream bug assigned to lzap@redhat.com

Comment 6 Bryan Kearney 2019-08-09 22:07:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26104 has been resolved.

Comment 7 Roman Plevka 2019-09-17 10:54:01 UTC
VERIFIED
on sat6.6.0-20.1

Managed to successfully provision a host with 2 nics belonging to the same subnet (managed by the same dhcp capsule).
- VM got created with 2 nics and after provisioning was complete, both NIC showed in the ifconfig as UP and with ipv4 address assigned

Comment 10 errata-xmlrpc 2019-10-22 12:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.